
#ifndef CONSOLE_H
#define CONSOLE_H

//
// A set of functions for manipulating the cursor, clearing
// the console, changing text colors, and drawing boxes.
//
// Notes:
//    Set colors before calling the *box() functions
//    Colors remain set until changed
//    Default values for clrscr() can be changed
//    The shadowbox() function creates a box that is one
//        space wider and one line longer than specified
//

// Available colors
const int BLACK        =  0;
const int BLUE         =  1;
const int GREEN        =  2;
const int CYAN         =  3;
const int RED          =  4;
const int MAGENTA      =  5;
const int BROWN        =  6;
const int LIGHTGRAY    =  7;
const int DARKGRAY	   =  8;
const int LIGHTBLUE    =  9;
const int LIGHTGREEN   = 10;
const int LIGHTCYAN    = 11;
const int LIGHTRED     = 12;
const int LIGHTMAGENTA = 13;
const int YELLOW       = 14;
const int WHITE        = 15;

// Declarations...
void textcolor(int color);
void textbackground(int color);
void gotoxy(char x, char y);
void showcursor();
void hidecursor();
void clrscr(int bgcolor = BLACK, int fgcolor = LIGHTGRAY, char fill = ' ');
void solidbox(char x, char y, char w, char h);
void shadowbox(char x, char y, char w, char h);
void doublebox(char x, char y, char w, char h);

#endif
